Bug 12141 - Dupes in mime-types
: Dupes in mime-types
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/apache)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-25 21:05 by
Modified: 2008-04-19 13:39 (History)


Attachments
updated apache1 mime.types (16.96 KB, text/plain)
2007-06-26 11:45, Michael Shigorin
no flags Details
updated+1 apache1 mime.types (17.01 KB, text/plain)
2007-06-26 11:51, Michael Shigorin
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-25 21:05:00
Это вывод моего скрипта, которым я попытался импортировать из mime-types апача
данные для nginx.

Ignored application/x-futuresplash for spl (use application/futuresplash)
Ignored application/x-mif for mif (use application/vnd.mif)
Ignored chemical/x-xyz for xyz (use chemical/x-pdb)
Ignored text/rtf for rtf (use application/rtf)
Ignored text/xml for xml (use application/xml)
Ignored text/xml for xml (use application/xml)
Ignored image/x-ms-bmp for bmp (use image/bmp)
Ignored application/vnd.wap.xhtml+xml for xhtml (use application/xhtml+xml)
Ignored application/x-pilot for pdb (use chemical/x-pdb)
Ignored application/x-redhat-package-manager for rpm (use
audio/x-pn-realaudio-plugin)
Ignored video/x-ms-asf for asx (use application/vnd.ms-asf)
Ignored video/x-ms-asf for asf (use application/vnd.ms-asf)
------- Comment #1 From 2007-06-26 11:45:04 -------
(In reply to comment #0)
> Это вывод моего скрипта, которым я попытался импортировать из mime-types апача
> данные для nginx.
Приложил бы для истории, мало ли когда ещё чего добавляться/мержиться стопкой
будет.  Вообще последний merge притащил несколько штук мусора, получается. 
Хорошо, что в конце.

При чистке ориентировался на:
[1] http://www.iana.org/assignments/media-types/
[2] http://www.feedforall.com/mime-types.htm
[3] http://www.ltsw.se/knbase/internet/mime.htp

> Ignored application/x-futuresplash for spl (use application/futuresplash)
[2] application/x-futuresplash

> Ignored application/x-mif for mif (use application/vnd.mif)
[3] application/vnd.mif

> Ignored chemical/x-xyz for xyz (use chemical/x-pdb)
http://www.chem.leeds.ac.uk/Project/MIME.html => chemical/x-xyz

> Ignored text/rtf for rtf (use application/rtf)
Тут непонятно: по [1] выходит text/richtext (RFC) и application/rtf
(allocation), на http://en.wikipedia.org/wiki/Rich_Text_Format опять text/rtf, в
спецификации (1.9) слово mime не упоминается.  Посмотрел ещё
https://issues.ethz.ch/silva/0294/ и что типично отдают с .rtf разные апачи в
мире, решил поставить application/rtf. (а text/richtext -- это вообще .rtx)

> Ignored text/xml for xml (use application/xml)
Судя по http://www.w3.org/TR/2002/NOTE-xhtml-media-types-20020801/#text-xml --
однозначно application/xml.

> Ignored image/x-ms-bmp for bmp (use image/bmp)
[2,3] => image/bmp
А откуда x-ms-bmp взялся вообще?
~/RPM/SOURCES/apache> fgrep x-ms-bmp *
~/RPM/SOURCES/apache> 

> Ignored application/vnd.wap.xhtml+xml for xhtml (use application/xhtml+xml)
См. про xml, есть application/xhtml+xml и не знаю, откуда взялось иное.

> Ignored application/x-pilot for pdb (use chemical/x-pdb)
Опять "ниоткуда".

> Ignored application/x-redhat-package-manager for rpm (use
> audio/x-pn-realaudio-plugin)
http://linux.derkeiler.com/Mailing-Lists/Fedora/2005-12/msg00515.html
У нас не x-pn-realaudio-plugin-based дистрибутив, поэтому оставим real'ам их
погремушки и будет application/x-redhat-package-manager.

> Ignored video/x-ms-asf for asx (use application/vnd.ms-asf)
> Ignored video/x-ms-asf for asf (use application/vnd.ms-asf)
Откуда твой скрипт их взял?  У меня (в соответствии с [1]):
application/vnd.ms-asf          asf asr asx

=> fixed in 1.3.37rusPL30.23-alt4; народ в Cc: приглашаю посмотреть/втянуть аттач
------- Comment #2 From 2007-06-26 11:45:11 -------
Created an attachment (id=2049) [details]
updated apache1 mime.types
------- Comment #3 From 2007-06-26 11:50:13 -------
Да, и попробуй докинуть мож тогда
http://wackowiki.com/YuriMakarov/Upload/MimeTypes
------- Comment #4 From 2007-06-26 11:51:00 -------
Created an attachment (id=2050) [details]
updated+1 apache1 mime.types

Упс, это ещё фиксит #11461